### Constructor

# Clutter KeyController new

#### Declaration [src]

    ClutterAction*
    clutter_key_controller_new (
      ClutterInputFocus* im_focus
    )

#### Description [src]

Returns a newly created key controller. The `input_focus` argument should be set to the actor’s `ClutterInputFocus` if the actor is meant to handle textual input.

#### Parameters

`im_focus`

  Type: `ClutterInputFocus`

  A `ClutterInputFocus`, `NULL` if the actor does not handle IM input.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterAction`

A new key controller.

The data is owned by the called function.